zoukankan      html  css  js  c++  java
  • Centos 下Nginx 自启动脚本

    #!/bin/bash
    #ckconfig: 345 40 40
    NGINX_PATH=/web/container/nginx-1.2.6
    NGINX_COMMAND=$NGINX_PATH/sbin/nginx
    NGINX_PID=$NGINX_PATH/logs/nginx.pid
    VERSION=1.2.6
    CONF=$2
    
    start()
    {
    if [ -f $NGINX_PID ];
    then
    echo "[Failure] Nginx is starting"
    else
    echo "[Success] Starting Nginx $VERSION"
    #用户设置好后统一使用同一个用户操作
    #/bin/su - nginx -c "$NGINX_PATH/nginx $CONF 1>/dev/null 2>/dev/null"
    $NGINX_COMMAND $CONF 1>/dev/null 2>/dev/null
    fi
    }
    
    stop()
    {
    echo $NGINX_PID
    if [ -f $NGINX_PID ];
    then
    echo "[Success] Stopping Nginx $VERSION"
    $NGINX_COMMAND -s quit
    #/bin/kill -QUIT $(eval "/bin/cat $NGINX_PID")
    else
    echo "[Failure] Stop Failure. Nginx isn't starting "
    fi
    }
    
    reload()
    {
    if test -f $NGINX_PID;
    then
    echo "[Success] Reloading Nginx $VERSION"
    $NGINX_COMMAND -s reload
    else
    echo "[Failure] Reload Failure. Nginx isn't starting "
    fi
    }
    
    out()
    {
    if test -f $NGINX_PID;
    then
    echo "[Success] Exiting Nginx $VERSION"
    $NGINX_COMMAND -s stop
    #/bin/kill -9 $(eval "/bin/cat $NGINX_PID")
    else
    echo "[Failure] Exiting Failure . Nginx isn't starting "
    fi
    }
    
    case "$1" in
    start)
    start
    ;;
    stop)
    stop
    
    ;;
    restart)
    
    stop
    sleep 3
    start
    ;;
    exit)
    out
    ;;
    reload)
    reload
    ;;
    *)
    echo $"Usage: $0 {start|stop|restart|exit|reload}"
    exit 1
    ;;
    esac
    exit 0
    #!/bin/bash 
    # nginx Startup script for the Nginx HTTP Server
    # it is v.0.0.2 version.
    # chkconfig: - 85 15
    # description: Nginx is a high-performance web and proxy server.
    # It has a lot of features, but it's not for everyone.
    # processname: nginx
    # pidfile: /var/run/nginx.pid
    # config: /usr/local/nginx/conf/nginx.conf
    nginxd=/usr/local/nginx/sbin/nginx
    nginx_config=/usr/local/nginx/conf/nginx.conf
    nginx_pid=/usr/local/nginx/logs/nginx.pid
    RETVAL=0
    prog="nginx"
    # Source function library.
    . /etc/rc.d/init.d/functions
    # Source networking configuration.
    . /etc/sysconfig/network
    # Check that networking is up.
    [ {$NETWORKING} = "no" ] && exit 0
    [ -x $nginxd ] || exit 0
    # Start nginx daemons functions.
    start() {
    if [ -e $nginx_pid ];then
    echo "nginx already running...."
    exit 1
    fi
    echo -n $"Starting $prog: "
    daemon $nginxd -c ${nginx_config}
    RETVAL=$?
    echo
    [ $RETVAL = 0 ] && touch /var/lock/subsys/nginx
    return $RETVAL
    }
    # Stop nginx daemons functions.
    stop() {
    echo -n $"Stopping $prog: "
    killproc $nginxd
    RETVAL=$?
    echo
    [ $RETVAL = 0 ] && rm -f /var/lock/subsys/nginx /usr/local/nginx/logs/nginx.pid
    }
    reload() {
    echo -n $"Reloading $prog: "
    #kill -HUP `cat ${nginx_pid}`
    killproc $nginxd -HUP
    RETVAL=$?
    echo
    }
    # See how we were called.
    case "$1" in
    start)
    start
    ;;
    stop)
    stop
    ;;
    reload)
    reload
    ;;
    restart)
    stop
    start
    ;;
    status)
    status $prog
    RETVAL=$?
    ;;
    *)
    echo $"Usage: $prog {start|stop|restart|reload|status|help}"
    exit 1
    esac
    exit $RETVAL
  • 相关阅读:
    LPTHW 笨办法学python 20章
    LPTHW 笨方法学python 19章
    LPTHW 笨方法学python 18章
    LPTHW 笨方法学习python 16章
    hadoop删除节点。
    url中的百分号转译
    thrift编译安装
    python学习:函数的学习
    jsp静态导入和动态导入 笔记
    简要描述cookie和session的区别:
  • 原文地址:https://www.cnblogs.com/hubing/p/3734204.html
Copyright © 2011-2022 走看看